{
  "compilerOptions": {
    "target": "es5",
    "lib": ["dom", "dom.iterable", "esnext"],
    "allowJs": true,
    "skipLibCheck": true,
    "strict": true,
    "forceConsistentCasingInFileNames": true,
    "noEmit": true,
    "esModuleInterop": true,
    "module": "esnext",
    "moduleResolution": "node",
    "resolveJsonModule": true,
    "isolatedModules": true,
    "jsx": "preserve",
    "baseUrl": ".",
    "paths": {
      "@tesseract-design/css-utils": ["./src/modules/css-utils"],
      "@tesseract-design/web-action-react": ["./src/modules/action"],
      "@tesseract-design/web-formatted-react": ["./src/modules/formatted"],
      "@tesseract-design/web-freeform-react": ["./src/modules/freeform"],
      "@tesseract-design/web-information-react": ["./src/modules/information"],
      "@tesseract-design/web-navigation-react": ["./src/modules/navigation"],
      "@tesseract-design/web-option-react": ["./src/modules/option"],
      "@tesseract-design/web-base-badge": ["./src/modules/base-badge"],
      "@tesseract-design/web-base-button": ["./src/modules/base-button"],
      "@tesseract-design/web-base-checkcontrol": ["./src/modules/base-checkcontrol"],
      "@tesseract-design/web-base-selectcontrol": ["./src/modules/base-selectcontrol"],
      "@tesseract-design/web-base-textcontrol": ["./src/modules/base-textcontrol"]
    }
  },
  "include": [
    "next-env.d.ts",
    "**/*.ts",
    "**/*.tsx"
  ],
  "exclude": ["node_modules", "./src/packages"]
}
